tbb::internal::coroutine_type Struct Reference

`#include <co_context.h>`

Collaboration diagram for tbb::internal::coroutine_type:

## Public Member Functions

| coroutine_type ()

## Public Attributes

ucontext_t | my_context
void * | my_stack
size_t | my_stack_size

## Detailed Description

Definition at line 54 of file co_context.h.

## Constructor & Destructor Documentation

## coroutine_type()

tbb::internal::coroutine_type::coroutine_type | ( |  | ) |

inline

Definition at line 55 of file co_context.h.

: my_context(), my_stack(), my_stack_size() {}
tbb::internal::coroutine_type::my_stack
void * my_stack
Definition: co_context.h:57
tbb::internal::coroutine_type::my_stack_size
size_t my_stack_size
Definition: co_context.h:58
tbb::internal::coroutine_type::my_context
ucontext_t my_context
Definition: co_context.h:56

## Member Data Documentation

## my_context

ucontext_t tbb::internal::coroutine_type::my_context

Definition at line 56 of file co_context.h.

Referenced by tbb::internal::create_coroutine(), tbb::internal::current_coroutine(), and tbb::internal::swap_coroutine().

## my_stack

void* tbb::internal::coroutine_type::my_stack

Definition at line 57 of file co_context.h.

Referenced by tbb::internal::create_coroutine(), tbb::internal::destroy_coroutine(), and tbb::internal::co_context::get_stack_limit().

## my_stack_size

size_t tbb::internal::coroutine_type::my_stack_size

Definition at line 58 of file co_context.h.

Referenced by tbb::internal::create_coroutine(), and tbb::internal::destroy_coroutine().

The documentation for this struct was generated from the following file:

- co_context.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.